{
	"name": "plugin/nc-calc-server/column/nc-load-column/work_column.json",
	"column": [
		{
			"field": "prwo.resource_id",
			"width": 120,
			"name_fi": "Kuor.",
			"editable": true
		},
		{
			"field": "pro.company_id",
			"width": 140,
			"name_fi": "Asiakas"
		},
		{
			"field": "co.name",
			"width": 100,
			"name_fi": "Asiakkaan nimi"
		},
		{
			"field": "pro.sales_order_id",
			"width": 65,
			"name_fi": "Myyntitil."
		},
		{
			"field": "prwo.json_data.reclamation_count",
			"width": 45,
			"name_fi": "Rekl."
		},
		{
			"field": "pr.name",
			"width": 180,
			"name_fi": "Työn nimi",
			"field-": "ld_work_atName"
		},
		{
			"field": "pro.json_data.production_order_number",
			"width": 65,
			"name_fi": "Työmäär."
		},
		{
			"field": "prwo.production_order_id",
			"width": 140,
			"name_fi": "Valm. erä"
		},
		{
			"field": "prwo.work_phase_number",
			"width": 120,
			"name_fi": "Työvaihe"
		},
		{
			"field": "prwo.work_phase_state",
			"width": 45,
			"name_fi": "Tila"
		},
		{
			"field": "pro.amount_to_produce",
			"width": 80,
			"name_fi": "Erä"
		},
		{
			"width": 54,
			"cell_graph_formatter": {
				"percent_max": 30,
				"html": "<svg class='nc-cell-graph'><rect x='{{x}}%' y='5%' height='90%' width='{{size}}%' fill='{{color}}'></rect><text dy='75%'>{{value}}</text></svg>",
				"percent_color": [
					{
						"end": 0,
						"color": "red"
					},
					{
						"start": 0,
						"end": 7,
						"color": "orange"
					},
					{
						"start": 7,
						"end": 30,
						"color": "lightgreen"
					},
					{
						"start": 30,
						"color": "MediumSeaGreen"
					}
				],
				"negative_from_end": true
			},
			"field": "prwo.json_data.remaining_amount",
			"cell_class": "gridGraph",
			"name_fi": "Jäljellä"
		},
		{
			"field": "prwo.produced_amount",
			"width": 75,
			"name_fi": "Valmistunut"
		},
		{
			"field": "pro.info",
			"width": 400,
			"name_fi": "Lisätietoja",
			"field-": "ld_work_atInfo"
		},
		{
			"field": "prwo.json_data.critical_start_time",
			"width": 73,
			"name_fi": "Vaiheen alkupäivä"
		},
		{
			"field": "prwo.json_data.critical_end_time",
			"width": 78,
			"name_fi": "Vaiheen eräp. norm"
		},
		{
			"field": "prwo.json_data.critical_delayed_end_date",
			"width": 100,
			"name_fi": "Vaiheen eräp. aik."
		},
		{
			"field": "pr.product_id",
			"width": 180,
			"name_fi": "Tuote"
		}
	],
	"name_fi": "grid/local/product/product_work/work-center/work_column.json",
	"calculated_column": [
		{
			"field": "",
			"width": 47,
			"name_fi": "Ohj.\raika",
			"field-": "ld_work_agTrackTimeGraph"
		},
		{
			"field": "",
			"width": 40,
			"name_fi": "RA",
			"field-": "ld_work_alRawMaterialState"
		},
		{
			"field": "",
			"width": 180,
			"name_fi": "Kiireellisyys",
			"field-": "ld_work_agGraph"
		},
		{
			"field": "",
			"width": 61,
			"name_fi": "Vaiheita\rennen",
			"field-": "ld_work_alPhasesBefore"
		},
		{
			"field": "",
			"width": 120,
			"name_fi": "Kumul",
			"field-": "ld_work_arCumulativeFree"
		},
		{
			"width": 59,
			"info": "material phase: PrevPhaseProducedAmount-prwo.produced_amount, own phase: PrevPhaseProducedAmount-prwo.produced_amount-wosfailed_amount, subcontract phase: PrevPhaseProducedAmount-prwo.produced_amount-wosfailed_amount-porComingAmount",
			"field-": "ld_work_arAmountToStart",
			"field": "",
			"name_fi": "Voi aloittaa"
		},
		{
			"width": 140,
			"info": "(wpaWorkTimeSum/prwo.json_data.target_time)*100",
			"field-": "ld_work_arWorkTimeProgress",
			"field": "",
			"name_fi": "Valm. %"
		},
		{
			"width": 44,
			"info": "EndDate (many optional dates) - CurrentDate",
			"field-": "ld_work_alDaysToFinish",
			"field": "",
			"name_fi": "Ero"
		}
	],
	"columns_fix": [
		{
			"field": "prwo.json_data.production_lot__work_ph",
			"width": 80,
			"name_fi": "Vaihe"
		},
		{
			"field": "prwo.json_data.subcontract",
			"width": 120,
			"name_fi": "On AH"
		},
		{
			"field": "prwo.work_hours",
			"width": 66,
			"name_fi": "Vaiheaika"
		},
		{
			"field": "prwo.setup_hours",
			"width": 66,
			"name_fi": "Asetusaika"
		},
		{
			"field": "prwo.json_data.delivery_to_customer",
			"width": 160,
			"name_fi": "Toim. asiakkaalle"
		},
		{
			"field": "prwo.json_data.target_time",
			"width": 160,
			"name_fi": "Standardiaika [t/erä]:"
		},
		{
			"field": "prwo.json_data.substate",
			"width": 46,
			"name_fi": "Alatila"
		},
		{
			"field": "pro.drawing_number",
			"width": 83,
			"name_fi": "Piirustus"
		},
		{
			"width": 120,
			"cell_graph_formatter": {
				"value_color": [
					{
						"end": 0,
						"color": "none"
					},
					{
						"start": 0,
						"end": 1,
						"color": "none"
					},
					{
						"start": 1,
						"end": 2,
						"color": "orange"
					},
					{
						"start": 2,
						"end": 3,
						"color": "lightgreen"
					},
					{
						"start": 3,
						"end": 4,
						"color": "DarkGrey"
					},
					{
						"start": 4,
						"color": "red"
					}
				],
				"html": "<svg width='100%' height='100%'><circle cx='50%' cy='50%' r='0.5em' fill='{{color}}'></circle><text dy='75%'>{{value}}</text></svg>"
			},
			"field": "prwo.json_data.track_time_status",
			"cell_class": "gridGraph",
			"name_fi": "Ohj. aika"
		},
		{
			"field": "prwo.json_data.reclamation_count",
			"width": 66,
			"name_fi": "Rekl. mrä"
		},
		{
			"field": "xx",
			"width": 48,
			"name_fi": "Järj."
		},
		{
			"field": "prwo.extra_hours",
			"width": 85,
			"name_fi": "Lisäaika"
		},
		{
			"field": "pro.json_data.critical_delayed_end_date",
			"width": 73,
			"name_fi": "Kriittinen pv",
			"field-": "ld_work_adCriticalDateDelayed"
		},
		{
			"field": "pro.json_data.critical_real_end_date",
			"width": 73,
			"name_fi": "Kr. pv AITO",
			"field-": "ld_work_adCriticalDateReal"
		},
		{
			"field": "pr.json_data.document_count",
			"width": 45,
			"name_fi": "Dok",
			"field-": "ld_work_alDocumentCount"
		},
		{
			"field": "pr.production_type",
			"width": 42,
			"name_fi": "T/V",
			"field-": "ld_work_alProductionControlType"
		},
		{
			"field": "xx",
			"width": 45,
			"name_fi": "Luk.",
			"field-": "ld_work_alOtherPhaseLockedState"
		},
		{
			"field": "prwo.json_data.planned_work_time",
			"width": 55,
			"name_fi": "Vaiheaika s",
			"field-": "ld_work_arPlannedWorkTime"
		},
		{
			"field": "prwo.json_data.start_time",
			"width": 73,
			"name_fi": "Jonoalku",
			"field-": "ld_work_adStart_Date"
		},
		{
			"field": "prwo.json_data.start_time",
			"width": 73,
			"name_fi": "Jonoalku",
			"field-": "ld_work_ahStart_Time"
		},
		{
			"field": "prwo.json_data.end_time",
			"width": 73,
			"name_fi": "Jonoloppu",
			"field-": "ld_work_adEnd_Date"
		},
		{
			"field": "prwo.json_data.end_time",
			"width": 73,
			"name_fi": "Jonoloppu",
			"field-": "ld_work_adEnd_Time"
		},
		{
			"field": "prwo.json_data.delay",
			"width": 73,
			"name_fi": "Viiväst.",
			"field-": "ld_work_arDelay"
		},
		{
			"field": "prwo.json_data.advance",
			"width": 58,
			"name_fi": "Aikaist.",
			"field-": "ld_work_arAdvance"
		}
	]
}
